## org.apache.hadoop.fs
Interface Syncable

All Known Implementing Classes:
  FSDataOutputStream

    public interface Syncable

This interface declare the sync() operation.

Method Summary
`void` `sync()` Synchronize all buffer with the underlying devices.

Method Detail

### sync

    void sync()
              throws IOException

  Synchronize all buffer with the underlying devices.

  Throws:
    `IOException`

Copyright © 2009 The Apache Software Foundation